Referência da APIPrecos

Criar: preços

POST
/v2/organizations/{organizationId}/stripe/prices

Permissão: products:write. A conta Stripe é resolvida no servidor a partir da organização autorizada. Exige Idempotency-Key com 8 a 255 caracteres.

Authorization

headerx-api-key<token>

API key Adila Pay vinculada à organização; use somente no servidor.

Path Parameters

organizationId*string

UUID da organização vinculada à API key ou à sessão autorizada.

Formatuuid

Header Parameters

idempotency-key*string

Chave estável da operação lógica. Reutilize apenas com os mesmos parâmetros em retries.

Length8 <= length <= 255

Request Body

application/json
  1. body
product?string
Match^[a-zA-Z0-9_]+$
Length3 <= length <= 255
product_data?
currency*string
Match^[a-z]{3}$
unit_amount?integer
Range0 <= value <= 99999999
nickname?string
Length1 <= length <= 250
lookup_key?string
Length1 <= length <= 200
tax_behavior?string
Value in"inclusive""exclusive""unspecified"
recurring?
billing_scheme?string
Value in"per_unit""tiered"
tiers_mode?string
Value in"graduated""volume"
tiers?array<>
Items1 <= items <= 25
custom_unit_amount?
transform_quantity?
metadata?
Propertiesproperties <= 50

Response Body

Objeto Stripe retornado pelo backend. Campos de resposta ainda não possuem schema detalhado neste contrato.

application/json
  1. response

Objeto Stripe sem schema de resposta detalhado no backend atual.

[key: string]?any
curl -X POST "https://example.com/v2/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/stripe/prices" \  -H "idempotency-key: stringst" \  -H "Content-Type: application/json" \  -d '{    "currency": "string"  }'
{}